%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-mahjongg
Version:	3.40.0
Release:	%mkrel 1
Summary:	GNOME Mahjongg game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Mahjongg
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala
Requires:	yelp

%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.

%prep
%setup -q

%build
%meson
       
%meson_build

%install
%meson_install

sd "Mahjongg" "GMahjongg" %buildroot/%{_datadir}/applications/org.gnome.Mahjongg.desktop
sd "org.gnome.GMahjongg" "org.gnome.Mahjongg" %buildroot/%{_datadir}/applications/org.gnome.Mahjongg.desktop

rm -rf %buildroot/usr/share/help

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Mahjongg.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mahjongg.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.Mahjongg.*
%{_datadir}/metainfo/org.gnome.Mahjongg.appdata.xml
%{_mandir}/man6/%{name}.6*
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Mahjongg-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.Mahjongg.service

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
%update_menus

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas
%clean_menus


%changelog
* Tue Sep 26 2023 tex - 3.40.0-1pclos2023
- new version

* Thu Nov 12 2020 tex - 3.38.3-1pclos2020
- new version

